package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 直播间人员关系表(ImLiveBroadcastRoomMember)表实体类
 *
 * @author hgw
 * @since 2022-02-21 14:26:58
 */
@ApiModel(value = "im_live_broadcast_room_member-直播间人员关系表")
public class ImLiveBroadcastRoomMember implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("room_uid_")
    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @TableField("user_id_")
    @ApiModelProperty(value = "进入房间的人员id/学生id")
    private Integer userId;

    @TableField("join_time_")
    @ApiModelProperty(value = "进入房间时间")
    private Date joinTime;

    @TableField("total_time_")
    @ApiModelProperty(value = "累计观看时间/以分钟为单位")
    private Integer totalTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Integer getTotalTime() {
        return totalTime;
    }

    public void setTotalTime(Integer totalTime) {
        this.totalTime = totalTime;
    }

}

